Package org.silverpeas.components.gallery.process.media

## Class GalleryPasteMediaDataProcess

- java.lang.Object
- - org.silverpeas.core.process.AbstractProcess<C>
  - - org.silverpeas.core.process.management.AbstractDataProcess<org.silverpeas.core.process.management.ProcessExecutionContext>
    - - org.silverpeas.components.gallery.process.AbstractGalleryDataProcess
      - - org.silverpeas.components.gallery.process.media.GalleryPasteMediaDataProcess

- All Implemented Interfaces:
    `org.silverpeas.core.process.SilverpeasProcess<org.silverpeas.core.process.management.ProcessExecutionContext>`

      public class GalleryPasteMediaDataProcess
      extends AbstractGalleryDataProcess

  Process to paste a media in Database
  Author:
    Yohann Chastagnier

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `GalleryPasteMediaDataProcess​(Media media, String albumId, MediaPK fromMediaPk, boolean isCut)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static GalleryPasteMediaDataProcess` | `getInstance​(Media media, String albumId, MediaPK fromMediaPk, boolean isCut)` |
    `void` | `onSuccessful()` |
    `protected void` | `processData​(org.silverpeas.core.process.management.ProcessExecutionContext context, org.silverpeas.core.process.session.ProcessSession session)` |

    - ### Methods inherited from class org.silverpeas.components.gallery.process.AbstractGalleryDataProcess

      `createMedia, getGalleryContentManager, getGalleryService, getGenericRecordSetManager, getMedia, getOrganisationController, getPublicationTemplateManager, getXMLFormName, process, updateMedia`

    - ### Methods inherited from class org.silverpeas.core.process.management.AbstractDataProcess

      `getProcessType`

    - ### Methods inherited from class org.silverpeas.core.process.AbstractProcess

      `onFailure`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GalleryPasteMediaDataProcess

          protected GalleryPasteMediaDataProcess​(Media media,
                                                 String albumId,
                                                 MediaPK fromMediaPk,
                                                 boolean isCut)

  - ### Method Detail

    - #### getInstance

          public static GalleryPasteMediaDataProcess getInstance​(Media media,
                                                                 String albumId,
                                                                 MediaPK fromMediaPk,
                                                                 boolean isCut)

    - #### processData

          protected void processData​(org.silverpeas.core.process.management.ProcessExecutionContext context,
                                     org.silverpeas.core.process.session.ProcessSession session)
                              throws Exception

      Specified by:
        `processData` in class `AbstractGalleryDataProcess`
      Throws:
        `Exception`

    - #### onSuccessful

          public void onSuccessful()
                            throws Exception

      Specified by:
        `onSuccessful` in interface `org.silverpeas.core.process.SilverpeasProcess<org.silverpeas.core.process.management.ProcessExecutionContext>`
      Overrides:
        `onSuccessful` in class `org.silverpeas.core.process.AbstractProcess<org.silverpeas.core.process.management.ProcessExecutionContext>`
      Throws:
        `Exception`